Holger's Java API

## com.antelmann.net
Class UnexpectedDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.net.UnexpectedDataException

All Implemented Interfaces:
  Serializable

    public class UnexpectedDataException

extends RuntimeException

thrown to indicate that some received data is incorrect

Since:
  21. März 2008, 03:55
Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`UnexpectedDataException()`
`UnexpectedDataException(String message)`
`UnexpectedDataException(String message, Object data)`
`UnexpectedDataException(String message, Throwable cause)`
`UnexpectedDataException(String message, Throwable cause, Object data)`
`UnexpectedDataException(Throwable cause)`

Method Summary
`Object` `getData()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedDataException

    public UnexpectedDataException(String message,
                                   Object data)

### UnexpectedDataException

    public UnexpectedDataException(Throwable cause)

### UnexpectedDataException

    public UnexpectedDataException(String message,
                                   Throwable cause)

### UnexpectedDataException

    public UnexpectedDataException(String message,
                                   Throwable cause,
                                   Object data)

### UnexpectedDataException

    public UnexpectedDataException(String message)

### UnexpectedDataException

    public UnexpectedDataException()

Method Detail

### getData

    public Object getData()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads